Bug 753887 - Invalid post scriptlet -> adds /bin/dash to /etc/shells everytime you install package
Summary: Invalid post scriptlet -> adds /bin/dash to /etc/shells everytime you install...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dash
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-14 18:52 UTC by Roman Rakus
Modified: 2014-01-13 00:13 UTC (History)
5 users (show)

Fixed In Version: dash-0.5.6-6.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-02 21:29:59 UTC
Type: ---


Attachments (Terms of Use)

Description Roman Rakus 2011-11-14 18:52:27 UTC
change
grep -qF '^/bin/dash$'
to
grep -qF '/bin/dash'
or
grep -q '^/bin/dash$'

Comment 1 Fedora Update System 2011-11-15 09:36:57 UTC
dash-0.5.6-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dash-0.5.6-6.fc16

Comment 2 Fedora Update System 2011-11-16 00:29:37 UTC
Package dash-0.5.6-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dash-0.5.6-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15957
then log in and leave karma (feedback).

Comment 3 Reartes Guillermo 2011-11-19 22:21:08 UTC
I installed F16 yesterday.
Today i installed virtualbox via repo and it complained that something about a shell... when i tried to install the extentions, but failed to do so.

And to my surprise /bin/dash is in the /etc/shells but /bin/bash is not! No wonder
it complained about the shell...
I fixed the issue adding bash. Also new users (but the first created user does have the correct /bin/bash shell) have their default shell set as dash. In fact, i did not know dash before this issue.

# yum list installed dash
Loaded plugins: langpacks, presto, refresh-packagekit
Installed Packages
dash.x86_64    0.5.6-5.fc15         @updates

Comment 4 Petr Šabata 2011-11-21 09:54:36 UTC
(In reply to comment #3)
> I installed F16 yesterday.
> Today i installed virtualbox via repo and it complained that something about a
> shell... when i tried to install the extentions, but failed to do so.
> 
> And to my surprise /bin/dash is in the /etc/shells but /bin/bash is not! No
> wonder
> it complained about the shell...
> I fixed the issue adding bash. Also new users (but the first created user does
> have the correct /bin/bash shell) have their default shell set as dash. In
> fact, i did not know dash before this issue.
> 
> # yum list installed dash
> Loaded plugins: langpacks, presto, refresh-packagekit
> Installed Packages
> dash.x86_64    0.5.6-5.fc15         @updates

The new 0.5.6-5.fc15 and 0.5.6-6.fc16 builds (see above) shouldn't re-add /bin/dash to /etc/shells on every installation or upgrade.

Missing /bin/bash is a different issue, a bash bug.  It's also been already resolved.  Reinstalling (or update of) /bin/bash will fix the issue.

Comment 5 Fedora Update System 2011-12-02 21:29:59 UTC
dash-0.5.6-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.